Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.template.mapper
Class DirectMapper

    java.lang.Object
      org.apache.turbine.services.template.mapper.BaseMapper
          org.apache.turbine.services.template.mapper.DirectMapper

All Implemented Interfaces:
  Mapper

    public class DirectMapper

extends BaseMapper
implements Mapper

The most primitive mapper. It is used for the page objects in the Template service. It never caches and simply returns what is given to it.

Version:
  $Id: DirectMapper.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.turbine.services.template.mapper.BaseMapper
`defaultProperty, separator`

Constructor Summary
`DirectMapper()` Default C'tor.

Method Summary
`String` | `doMapping(String template)` Strip off a possible extension, replace all "," with "."

Methods inherited from class org.apache.turbine.services.template.mapper.BaseMapper
`getCacheSize, getDefaultName, getDefaultProperty, getMappedName, getSeparator, init, isUseCache, setCacheSize, setDefaultProperty, setSeparator, setUseCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.turbine.services.template.mapper.Mapper
`getCacheSize, getDefaultName, getDefaultProperty, getMappedName, getSeparator, init, isUseCache, setCacheSize, setDefaultProperty, setSeparator, setUseCache`

Constructor Detail

### DirectMapper

    public DirectMapper()

  Default C'tor. If you use this C'tor, you must use the bean setter to set the various properties needed for this mapper before first usage.

Method Detail

### doMapping

    public String doMapping(String template)

  Strip off a possible extension, replace all "," with "." about,directions,Driving.vm --> about.directions.Driving

  Specified by:
    `doMapping` in class `BaseMapper`
  Parameters:
    `template` - The template name.
  Returns:
    A class name for the given template.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.